Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.

Query Parameters

kind
enum<string>

Instrument kind, if not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo"

Available options:
future,
option,
spot,
future_combo,
option_combo
type
enum<string>

Order type, default - all Order type: "all", "limit", "trigger_all", "stop_all", "stop_limit", "stop_market", "take_all", "take_limit", "take_market", "trailing_all", "trailing_stop"

Available options:
all,
limit,
trigger_all,
stop_all,
stop_limit,
stop_market,
take_all,
take_limit,
take_market,
trailing_all,
trailing_stop
include_isolated
boolean
default:false

If true, widens the open orders query to include orders owned by hidden isolated-margin subaccounts. Default - false

subaccount_id
integer

The user id for the subaccount. Main accounts can specify an isolated subaccount ID to query its open orders directly.

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request